# std::_BinClos< _Oper, _ValArray, _ValArray, _Tp, _Tp > Struct Template Reference

Inheritance diagram for std::_BinClos< _Oper, _ValArray, _ValArray, _Tp, _Tp >:

List of all members.

## Detailed Description

### template<class _Oper, typename _Tp>
struct std::_BinClos< _Oper, _ValArray, _ValArray, _Tp, _Tp >

Definition at line 588 of file valarray_before.h.

## Public Types

- typedef _BinBase< _Oper, valarray<
  _Tp >, valarray< _Tp > > _Base
- typedef _FirstArg::value_type _Vt
- typedef _Base::value_type value_type

## Public Member Functions

- _BinClos (const valarray< _Tp > &__v, const valarray< _Tp > &__w)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h